Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 986888 - org.infinispan.rest.MimeMetadata not serializable
Summary: org.infinispan.rest.MimeMetadata not serializable
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Server
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: DR4
: 6.2.0
Assignee: Tristan Tarrant
QA Contact: nobody nobody
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-22 10:45 UTC by Michal Linhard
Modified: 2014-03-17 04:04 UTC (History)
4 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker ISPN-3288 Critical Resolved Putting an entry with rest gives 'Failure to marshall arguments' error 2015-08-10 10:58:45 UTC
Red Hat One Jira Issue Tracker ISPN-3346 Critical Resolved org.infinispan.rest.MimeMetadata not serializable 2015-08-10 10:58:45 UTC

Description Michal Linhard 2013-07-22 10:45:41 UTC
6.2.0.DR1
REST client stress test fails with many occurences of: org.infinispan.commons.marshall.NotSerializableException: org.infinispan.rest.MimeMetadata

see: https://issues.jboss.org/browse/ISPN-3346

Comment 2 JBoss JIRA Server 2013-07-24 13:24:21 UTC
Mircea Markus <mmarkus@redhat.com> updated the status of jira ISPN-3288 to Resolved

Comment 3 JBoss JIRA Server 2013-07-24 13:24:21 UTC
Mircea Markus <mmarkus@redhat.com> made a comment on jira ISPN-3288

duplicate of ISPN-3346

Comment 4 JBoss JIRA Server 2013-07-24 13:48:20 UTC
Martin Gencur <mgencur@redhat.com> made a comment on jira ISPN-3346

This happens not only in stress tests but also in functional tests.

Comment 5 JBoss JIRA Server 2013-08-06 08:02:21 UTC
Galder Zamarreño <galder.zamarreno@redhat.com> updated the status of jira ISPN-3346 to Coding In Progress

Comment 6 JBoss JIRA Server 2013-08-06 08:05:02 UTC
Galder Zamarreño <galder.zamarreno@redhat.com> made a comment on jira ISPN-3346

MimeMetadata is marshalled using Externalizers (as demonstrated [here|https://github.com/infinispan/infinispan/blob/master/server/rest/src/test/scala/org/infinispan/rest/TwoServerTest.java]), so the issue is different. Most likely it's a problem related to the externalizer not being registered in this test case.

Which functional test is failing here? Such test should be added to Infinispan Server repo btw.

Comment 8 JBoss JIRA Server 2013-08-26 13:38:09 UTC
Galder Zamarreño <galder.zamarreno@redhat.com> made a comment on jira ISPN-3346

Hmmmmmm, I wonder if this is something similar to what we saw in ISPN-3311...

Comment 9 JBoss JIRA Server 2013-08-26 14:05:16 UTC
Galder Zamarreño <galder.zamarreno@redhat.com> made a comment on jira ISPN-3346

Assigning this to Tristan since it appears to be some kind of setup/build issue which is stopping from REST server's module lifecycle configuration not being processed correctly. 

[~mlinhard], I think it's great to have jdg-functional-tests.git repository with JDG tests, but I don't see why those tests could not be moved to Infinispan Server repository. This is where these tests belong really. I suspect these issues appear when REST server is tested in clustered mode, which probably is not covered by the tests in Infinispan Server. Instead of duplicating tests, we should move them outright.

Comment 13 JBoss JIRA Server 2013-08-29 01:22:55 UTC
Chris Riley <criley@hkmconsultingllc.com> made a comment on jira ISPN-3346

Hi guys, 

We have run into the same exact issue with Infinispan 5.3.0 Final Server (JBoss). In our example we are using the cross site replication configuration file provided with the distribution, I have copied the configuration below. In our case we have found if we comment out the remote site portion of the distributed cache, PUTs and POSTs via REST work fine. With that portion enabled, we get the same exact error as posted in this issue. 

 <subsystem xmlns="urn:infinispan:server:core:5.3" default-cache-container="clustered">
            <cache-container name="clustered" default-cache="default">

                <transport executor="infinispan-transport" lock-timeout="60000" cluster="local" stack="tcp-local"/>
                <distributed-cache mode="ASYNC" name="importantCache">
                    <transaction mode="NONE"/>
                    <compatibility enabled="true"/>
<!--
                    <backups>
                        <backup site="BOS" />
                    </backups>
-->
                </distributed-cache>
            </cache-container>
            <cache-container name="security"/>
        </subsystem>

Comment 14 JBoss JIRA Server 2013-09-05 08:30:00 UTC
Galder Zamarreño <galder.zamarreno@redhat.com> made a comment on jira ISPN-3346

I've now replicated this in the Infinispan Server testsuite.

Comment 15 JBoss JIRA Server 2013-09-05 09:17:33 UTC
Galder Zamarreño <galder.zamarreno@redhat.com> made a comment on jira ISPN-3346

Fix coming right up...

Comment 17 JBoss JIRA Server 2013-09-05 19:42:52 UTC
Chris Riley <criley@hkmconsultingllc.com> made a comment on jira ISPN-3346

The fix for this is listed as being part of 6.0.0.Beta1 and according to JIRA this was release yesterday. Will this fix still be in 6.0.0.Beta1?

Comment 18 Michal Linhard 2013-09-13 11:30:48 UTC
Still present in 6.2.0.DR4

Comment 19 Michal Linhard 2013-09-16 15:16:32 UTC
I'm rechecking, I probably confused two bugzillas here.

Comment 20 Michal Linhard 2013-09-16 15:22:30 UTC
Verified for 6.2.0.DR4


Note You need to log in before you can comment on or make changes to this bug.